<?php
/**
 * @version     1.0.0
 * @package     com_argep
 * @copyright   Copyright (C) 2012. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Kovácsházi Gábor <kovacshazi@gmail.com> - http://www.webprogramok.hu
 */


// No direct access
defined('_JEXEC') or die;

class ArgepController extends JController
{
	/**
	 * Method to display a view.
	 *
	 * @param	boolean			$cachable	If true, the view output will be cached
	 * @param	array			$urlparams	An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
	 *
	 * @return	JController		This object to support chaining.
	 * @since	1.5
	 */
	public function display($cachable = false, $urlparams = false)
	{
		require_once JPATH_COMPONENT.'/helpers/argep.php';

		// Load the submenu.
		ArgepHelper::addSubmenu(JRequest::getCmd('view', 'urestablas'));

		$view		= JRequest::getCmd('view', 'urestablas');
        JRequest::setVar('view', $view);

		parent::display();

		return $this;
	}
}
