<?php
/**
 * @version     1.0.0
 * @package     com_argep
 * @copyright   Copyright (C) 2012. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Kovácsházi Gábor <kovacshazi@gmail.com> - http://www.webprogramok.hu
 */

// No direct access
defined('_JEXEC') or die;

/**
 * Argep helper.
 */
class ArgepHelper
{
	/**
	 * Configure the Linkbar.
	 */
	public static function addSubmenu($vName = '')
	{
		JSubMenuHelper::addEntry(
			JText::_('COM_ARGEP_TITLE_URESTABLAS'),
			'index.php?option=com_argep&view=urestablas',
			$vName == 'urestablas'
		);

	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @return	JObject
	 * @since	1.6
	 */
	public static function getActions()
	{
		$user	= JFactory::getUser();
		$result	= new JObject;

		$assetName = 'com_argep';

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.own', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action) {
			$result->set($action, $user->authorise($action, $assetName));
		}

		return $result;
	}
}
